class ArticlePresenter < BasePresenter
  presents :article

  def linked_title
    link_to article.title, article
  end

  def author_link
    present(article.user).linked_full_name
  end

  def tag_list
    unless article.tags.empty?
      content_tag :p do
        "Tags: #{article.tags.map { |t| link_to t.name, t }.join(", ")}".html_safe
      end
    end
  end
end
